Bug 101554 - Java does not work w/ Mozilla 1.4 from Rawhide
Summary: Java does not work w/ Mozilla 1.4 from Rawhide
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: mozilla   
(Show other bugs)
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-08-03 17:42 UTC by Brad Smith
Modified: 2007-04-18 16:56 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-10 15:22:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Brad Smith 2003-08-03 17:42:05 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
Mozilla hangs each time I access a web site with a Java applet. I have to kill
-9 mozilla and the java_vm processes to recover.

Setup:
Linux pico 2.4.20-19.9 #1 Tue Jul 15 17:03:30 EDT 2003 i686 athlon i386 GNU/Linux
mozilla-1.4-12
java-1.4.2-sun-1.4.2.01-4jpp (Sun SDK repackaged by JPackage group; see
www.jpackage.org).
libjavaplugin_oji.so ->
/usr/lib/jvm/java-1.4.2-sun-1.4.2.01/jre/plugin/i386/ns610-gcc32/libjavaplugin_oji.so

The applet will begin to start when the page with the applet is opened. If the
java console is open it will begin to display logging info. After a few seconds
mozilla and the java console freeze. The CPU pegs at 100%.


Version-Release number of selected component (if applicable):
mozilla-1.4-12

How reproducible:
Always

Steps to Reproduce:
1. Open mozilla.
2. Go to web page with applet.

    

Actual Results:  Mozilla freezes.

Expected Results:  Applet to function normally (e.g. Lotus Notes Web Mail applet).

Additional info:

please see description.

Comment 1 Kaj J. Niemi 2003-08-07 21:12:53 UTC
I'm able to reproduce this as well.

Comment 2 Christopher Blizzard 2003-09-03 14:31:23 UTC
Do you have a stack trace of where it's hanging?  Is it in the mozilla code or
is it in the JVM plugin?

Since I don't have the source to the JVM I can't really provide support for it.

Comment 3 David Lawrence 2006-04-10 15:22:11 UTC
Closing due to inactivity. Please feel free to reopen this bug or refile this
bug against the latest release Fedora Core if you feel this bug is still
relevant today.

Thank you


Note You need to log in before you can comment on or make changes to this bug.